1. Betriebssysteme >
  2. Linux Tipps >
  3. GNU Guile 3.0.0 released

ArabicEnglishFrenchGermanGreekItalianJapaneseKoreanPersianPolishPortugueseRussianSpanishTurkishVietnamese

GNU Guile 3.0.0 released


Linux Tipps vom | Direktlink: lwn.net Nachrichten Bewertung

Version 3.0.0 of the Guile implementation of the Scheme programming language has been released. There's a lot of work here, including a new, lower-level byte code implementation, interleaved internal definitions, a new exception implementation, and much more. "Guile programs now run up to 4 times faster, relative to Guile 2.2, thanks to just-in-time (JIT) native code generation. Notably, this brings the performance of "eval" as written in Scheme back to the level of 'eval' written in C, as in the days of Guile 1.8."...

Externe Webseite mit kompletten Inhalt öffnen



https://lwn.net/Articles/809825/rss

Team Security Social Media

➤ Weitere Beiträge von Team Security | IT Sicherheit

  • GNU Guile bis 2.0.12 mkdir mode erweiterte Rechte

    vom 451.08 Punkte ic_school_black_18dp
    Es wurde eine Schwachstelle in GNU Guile bis 2.0.12 ausgemacht. Sie wurde als problematisch eingestuft. Hiervon betroffen ist die Funktion mkdir. Dank der Manipulation des Arguments mode mit einer unbekannten Eingabe kann eine erweiterte Rechte-Schwa
  • GNU Guile bis 2.0.12 mkdir mode erweiterte Rechte

    vom 451.08 Punkte ic_school_black_18dp
    Es wurde eine Schwachstelle in GNU Guile bis 2.0.12 ausgemacht. Sie wurde als problematisch eingestuft. Hiervon betroffen ist die Funktion mkdir. Dank der Manipulation des Arguments mode mit einer unbekannten Eingabe kann eine erweiterte Rechte-Schwa
  • GNU libidn bis 1.32 Out-of-Bounds Information Disclosure

    vom 168.34 Punkte ic_school_black_18dp
    Eine Schwachstelle wurde in GNU libidn bis 1.32 ausgemacht. Sie wurde als problematisch eingestuft. Hierbei geht es um eine unbekannte Funktion der Komponente idn. Mittels dem Manipulieren mit einer unbekannten Eingabe kann eine Information Disclosure-
  • GNU libidn bis 1.32 lib/nfkc.c stringprep_utf8_nfkc_normalize Denial of Service

    vom 168.34 Punkte ic_school_black_18dp
    In GNU libidn bis 1.32 wurde eine Schwachstelle gefunden. Sie wurde als problematisch eingestuft. Dabei geht es um die Funktion stringprep_utf8_nfkc_normalize der Bibliothek lib/nfkc.c. Durch Manipulieren mit einer unbekannten Eingabe kann eine Denial
  • GNU libidn bis 1.32 Out-of-Bounds Information Disclosure

    vom 168.34 Punkte ic_school_black_18dp
    Es wurde eine Schwachstelle in GNU libidn bis 1.32 gefunden. Sie wurde als problematisch eingestuft. Es geht dabei um eine unbekannte Funktion der Komponente idn. Durch das Manipulieren mit einer unbekannten Eingabe kann eine Information Disclosure-Schwachstelle (Out-of-Bou
  • GNU libidn bis 1.32 lib/idna.c idna_to_ascii_4i Denial of Service

    vom 168.34 Punkte ic_school_black_18dp
    Eine Schwachstelle wurde in GNU libidn bis 1.32 entdeckt. Sie wurde als problematisch eingestuft. Es geht hierbei um die Funktion idna_to_ascii_4i der Bibliothek lib/idna.c. Mittels Manipulieren mit einer unbekannten Eingabe kann eine Denial of Service-S
  • GNU libidn bis 1.32 Out-of-Bounds Information Disclosure

    vom 168.34 Punkte ic_school_black_18dp
    Eine Schwachstelle wurde in GNU libidn bis 1.32 ausgemacht. Sie wurde als problematisch eingestuft. Hierbei geht es um eine unbekannte Funktion der Komponente idn. Mittels dem Manipulieren mit einer unbekannten Eingabe kann eine Information Disclosure-
  • GNU libidn bis 1.32 lib/nfkc.c stringprep_utf8_nfkc_normalize Denial of Service

    vom 168.34 Punkte ic_school_black_18dp
    In GNU libidn bis 1.32 wurde eine Schwachstelle gefunden. Sie wurde als problematisch eingestuft. Dabei geht es um die Funktion stringprep_utf8_nfkc_normalize der Bibliothek lib/nfkc.c. Durch Manipulieren mit einer unbekannten Eingabe kann eine Denial
  • GNU libidn bis 1.32 Out-of-Bounds Information Disclosure

    vom 168.34 Punkte ic_school_black_18dp
    Es wurde eine Schwachstelle in GNU libidn bis 1.32 gefunden. Sie wurde als problematisch eingestuft. Es geht dabei um eine unbekannte Funktion der Komponente idn. Durch das Manipulieren mit einer unbekannten Eingabe kann eine Information Disclosure-Schwachstelle (Out-of-Bou
  • GNU libidn bis 1.32 lib/idna.c idna_to_ascii_4i Denial of Service

    vom 168.34 Punkte ic_school_black_18dp
    Eine Schwachstelle wurde in GNU libidn bis 1.32 entdeckt. Sie wurde als problematisch eingestuft. Es geht hierbei um die Funktion idna_to_ascii_4i der Bibliothek lib/idna.c. Mittels Manipulieren mit einer unbekannten Eingabe kann eine Denial of Service-S
  • GNU binutils bis 2.29 libbfd vms-alpha.c evax_bfd_print_emh Pufferüberlauf

    vom 153.91 Punkte ic_school_black_18dp
    Eine kritische Schwachstelle wurde in GNU binutils bis 2.29 ausgemacht. Davon betroffen ist die Funktion evax_bfd_print_emh der Datei vms-alpha.c der Komponente libbfd. Durch Beeinflussen mit einer unbekannten Eingabe kann eine Pufferüberlauf-Schwach
  • GNU binutils bis 2.29 libbfd bfd/vms-alpha.c bfd_vms_slurp_egsd Pufferüberlauf

    vom 153.91 Punkte ic_school_black_18dp
    In GNU binutils bis 2.29 wurde eine kritische Schwachstelle ausgemacht. Hierbei betrifft es die Funktion bfd_vms_slurp_egsd der Datei bfd/vms-alpha.c der Komponente libbfd. Durch das Beeinflussen mit einer unbekannten Eingabe kann eine Pufferüberlauf

Team Security Diskussion über GNU Guile 3.0.0 released